<head>
	<title>Algo</title>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
	<script src="sortingFile.js"></script>
</head>
<body>
	<h1>Projet Algorithme</h1>

	<form action="/algo/diagramme" method ="post">
		<p>Veuillez choisir un ou plusieurs algorithmes de tri : </p>
		<label for="selection">
		<input type="checkbox" name="selection" id="selection" value="Selection"/> Selection
		</label>
		<label for="bubble" class="button green-active">
		<input type="checkbox" name="bubble" id="bubble" value="Bubble"/> Bubble
		</label>
		<label for="quick" class="button green-active">
		<input type="checkbox" name="quick" id="quick" value="Quick"/> Quick
		</label>
		<input type="submit" value="Valider">
	</form>

	<canvas id="myChart">
		Your browser does not support the HTML5 canvas tag.
	</canvas>
	<script>
		var ctx = document.getElementById("myChart").getContext('2d');
		var myChart = new Chart(ctx, {
		    type: 'line',
		    data: {
		    labels: [1, 2, 3, 4, 5, 6, 7],
		    datasets: [{
		      label: 'apples',
		      data: [1, 4, 8, 12, 16, 19, 25],
		      backgroundColor: "rgba(153,255,51,0.4)"
		    }, {
		      label: 'oranges',
		      data: [2, 29, 5, 5, 2, 3, 10],
		      backgroundColor: "rgba(255,153,0,0.4)"
		    }]
		  }
		});
	</script>
</body>
